<?php
//llamado a la clase de conexion
require_once('Conexion/conexion.php');
require_once 'head.php';
// $con = new ConexionPDO();
session_start();
// $action = $_REQUEST['action'];
// $conexion = $_SESSION['conexion'];
// $anno = $_SESSION['anno'];
//declaracion que recibe la variable que recibe el ID
?>


<title> Agregar Disponibilidad </title>
</head>

<!-- contenedor principal -->
<div class="container-fluid text-center">
    <div class="row content">
        <!-- Llamado al menú del formulario -->
        <?php require_once 'menu.php'; ?>

        <div class="col-sm-10 text-left">
            <h2 id="forma-titulo3" align="center" style="margin-bottom: 20px; margin-right: 4px; margin-left: 4px;">Agregar Disponibilidad</h2>
            <div style="border: 4px solid #020324; border-radius: 10px; margin-left: 4px; margin-right: 4px;" class="client-form">
                <a href="listar_GF_RECURSO_FINANCIERO.php" class="glyphicon glyphicon-circle-arrow-left" style="display:inline-block;margin-left:10px; font-size:150%; vertical-align:middle;text-decoration:none" title="Volver"></a>

                <!-- Inicio del formulario -->

                <form name="form" id="form" class="form-horizontal" method="POST" enctype="multipart/form-data" action="javascript:modificar()">


                    <p align="center" style="margin-bottom: 25px; margin-top: 25px; margin-left: 30px; font-size: 80%">Los campos marcados con <strong style="color:#03C1FB;">*</strong> son obligatorios.</p>



                    <div class="form-group" style="margin-top: -22px;">
                        <label for="tipoR" class="col-sm-5 control-label"><strong style="color:#03C1FB;">*</strong>Disponibilidad:</label>
                        <select name="disponibilidad" id="disponibilidad" class="select2_single form-control input-sm" title="Número de Disponibilidad" style="width:250px;">
                                                    <option value="">Disponibilidad</option>
                                                    <?php
                                                    $querySolAprob = "SELECT
                            com.id_unico,
                            com.numero,
                            DATE_FORMAT(com.fecha, '%d/%m/%Y'),
                            com.descripcion,
                            tip.codigo, 
                            (SELECT
                                SUM(dcp.valor)
                            FROM
                                gf_detalle_comprobante_pptal dcp
                            WHERE
                                dcp.comprobantepptal = com.id_unico
                                ) AS valor
                        FROM
                            gf_comprobante_pptal com
                        LEFT JOIN gf_tipo_comprobante_pptal tip ON
                            tip.id_unico = com.tipocomprobante
                        WHERE
                            tip.clasepptal = 14 AND tip.tipooperacion = 1 
                            AND com.parametrizacionanno = $anno  AND com.fecha <='2022-04-05' 
                        ORDER BY
                            com.numero,
                            com.fecha ASC";
                                                    $SolAprob = $mysqli->query($querySolAprob);

                                                    while ($row = mysqli_fetch_row($SolAprob)) {
                                                        $valorRep = 0;
                                                        ##############BUSCA LOS DETALLES##########
                                                        $queryDetCompro = "SELECT
                                detComp.id_unico,
                                detComp.valor
                            FROM
                                gf_detalle_comprobante_pptal detComp,
                                gf_comprobante_pptal comP
                            WHERE
                                comP.id_unico = detComp.comprobantepptal AND comP.id_unico = " . $row[0];
                                                        $saldDispo = 0;
                                                        $totalSaldDispo = 0;
                                                        $detCompro = $mysqli->query($queryDetCompro);
                                                        $valorRep += $row[5];
                                                        $saldo = 0;
                                                        while ($rowDetComp = mysqli_fetch_row($detCompro)) {

                                                            ########AFECTACIONES A DISPONBILIDAD#########
                                                            $afec = "SELECT tc.tipooperacion, dc.valor, dc.id_unico FROM gf_detalle_comprobante_pptal dc 
                                        LEFT JOIN gf_comprobante_pptal cp On dc.comprobantepptal = cp.id_unico 
                                        LEFT JOIN gf_tipo_comprobante_pptal tc ON cp.tipocomprobante = tc.id_unico 
                                        WHERE dc.comprobanteafectado = $rowDetComp[0]";
                                                            $afec = $mysqli->query($afec);
                                                            while ($row2 = mysqli_fetch_row($afec)) {
                                                                if ($row2[0] == 2) {
                                                                    $valorRep += $row2[1];
                                                                } elseif ($row2[0] == 1) {


                                                                    $valorRep -= $row2[1];
                                                                    //var_dump($valorRep);
                                                                    ########AFECTACIONES A REGISTRO#########
                                                                    $afecR = "SELECT tc.tipooperacion, dc.valor FROM gf_detalle_comprobante_pptal dc 
                                                LEFT JOIN gf_comprobante_pptal cp On dc.comprobantepptal = cp.id_unico 
                                                LEFT JOIN gf_tipo_comprobante_pptal tc ON cp.tipocomprobante = tc.id_unico 
                                                WHERE tc.tipooperacion !=1 AND dc.comprobanteafectado = $row2[2]";
                                                                    $afecR = $mysqli->query($afecR);
                                                                    if (mysqli_num_rows($afecR) > 0) {
                                                                        while ($row2R = mysqli_fetch_row($afecR)) {
                                                                            if ($row2R[0] == 2) {
                                                                                $valorRep -= $row2R[1];
                                                                            } elseif ($row2R[0] == 3) {
                                                                                $valorRep += $row2R[1];
                                                                            }
                                                                        }
                                                                    }
                                                                } elseif ($row2[0] == 3) {
                                                                    $valorRep -= $row2[1];
                                                                }
                                                            }
                                                            var_dump($valorRep);
                                                            $totalSaldDispo += $valorRep;
                                                        }
                                                        $saldo = $valorRep;

                                                        if ($saldo > 0) {
                                                            $tipo = mb_strtoupper($row[4]);
                                                            $valor = '$' . number_format($saldo, 2, '.', ',');
                                                            echo "<option value='$row[0]'>$row[1] $tipo $row[2] $row[3] $valor</option>";
                                                        }
                                                    }
                                                    ?>
                        </select>
                    </div>



                    <div align="center">
                        <button type="submit" class="btn btn-primary sombra">Agregar</button>
                    </div>
            </div>

            <!-- DIV que contiene una clase oculta  -->
            <div class="texto" style="display: none"></div>

            <input type="hidden" name="MM_insert">
            </form>
            <!-- Fin de división y contenedor del formulario -->
        </div>
    </div>
    <!-- Fin del Contenedor principal -->
</div>
</div>
<!-- Llamado al pie de pagina -->
<?php require_once 'footer.php'; ?>


<!-- modal para la validacion del código -->
<div class="modal fade" id="modalMensajes" role="dialog" align="center">
    <div class="modal-dialog">
        <div class="modal-content">
            <div id="forma-modal" class="modal-header">
                <h4 class="modal-title" style="font-size: 24; padding: 3px;">Información</h4>
            </div>
            <div class="modal-body" style="margin-top: 8px">
                <label id="mensaje" name="mensaje" style="font-weight: normal"></label>
            </div>
            <div id="forma-modal" class="modal-footer">
                <button type="button" id="Aceptar" class="btn" style="color: #000; margin-top: 2px" data-dismiss="modal">Aceptar</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="myModal2" role="dialog" align="center" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog">
        <div class="modal-content">
            <div id="forma-modal" class="modal-header">
                <h4 class="modal-title" style="font-size: 24; padding: 3px;">Información</h4>
            </div>
            <div class="modal-body" style="margin-top: 8px">
                <p>El codigo ingresado ya existe. Por favor ingrese otro codigo.</p>
            </div>
            <div id="forma-modal" class="modal-footer">
                <button type="button" id="ver2" class="btn" style="color: #000; margin-top: 2px" data-dismiss="modal">Aceptar</button>
            </div>
        </div>
    </div>
</div>

<!-- validacion de los campos número y tipo de identificacion  -->
<script type="text/javascript">
    function agregar() {
        jsShowWindowLoad('Agregando Datos ...');
        var formData = new FormData($("#form")[0]);
        $.ajax({
            type: 'POST',
            url: "json/modificarRecursoFinancieroJson.php?action=2",
            data: formData,
            contentType: false,
            processData: false,
            success: function(response) {
                jsRemoveWindowLoad();
                console.log(response);
                if (response == 1) {
                    $("#mensaje").html('Información agregada Correctamente');
                    $("#modalMensajes").modal("show");
                    $("#Aceptar").click(function() {
                        $("#modalMensajes").modal("hide");
                        document.location = 'listar_GF_RECURSO_FINANCIERO.php';
                    })

                } else {
                    $("#mensaje").html('No se ha podido agregar información');
                    $("#modalMensajes").modal("show");
                    $("#Aceptar").click(function() {
                        $("#modalMensajes").modal("hide");
                    })

                }
            }
        });
    }

    function modificar() {
        jsShowWindowLoad('Modificando Datos ...');
        var formData = new FormData($("#form")[0]);
        $.ajax({
            type: 'POST',
            url: "json/modificarRecursoFinancieroJson.php?action=3",
            data: formData,
            contentType: false,
            processData: false,
            success: function(response) {
                jsRemoveWindowLoad();
                console.log(response);

                if (response == 1) {
                    $("#mensaje").html('Información Modificada Correctamente');
                    $("#modalMensajes").modal("show");
                    $("#Aceptar").click(function() {
                        $("#modalMensajes").modal("hide");
                        document.location = 'listar_GF_RECURSO_FINANCIERO.php';
                    })
                } else {
                    $("#mensaje").html('No Se Ha Podido Modificar Información');
                    $("#modalMensajes").modal("show");
                    $("#Aceptar").click(function() {
                        $("#modalMensajes").modal("hide");
                    })

                }
            }
        });
    }

    function existente() {
        var codi = document.form.codigo.value;
        var result = '';

        if (codi == null || codi == '' || codi == "Codigo") {

            $("#myModal2").modal('show'); //consulta si el campo tiene algun valor, pero como es en el mdificar siempre va tener un dato, no se necesita

        } else { //se hace un envio por POST tomando el valor del camppo y consultando y como resultado me imprime un campo oculto con el ID y un modal preguntando si deseo cargar los datos.

            $.ajax({
                data: {
                    "cod": codi
                },

                type: "POST",
                url: "consultarRecursoFinan.php",
                success: function(data) {
                    if (data == 2) {
                        $("#myModal2").modal('show');
                    }
                }
            });
        }
    }
</script>

<script type="text/javascript">
    $('#ver1').click(function() {
        var id = document.getElementById("id").value;
        console.log(id);
        document.location = 'modificar_GF_RECURSO_FINANCIERO.php?id_recurso=' + id;
    });
</script>
<script type="text/javascript">
    $('#ver2').click(function() {
        var dato = document.form.dato.value;
        $("#codigo").val(dato)
    });
</script>
</body>

</html>